(define-module (fruitflats sdl)
  :use-module (fruitflats sdl-private common)
  :use-module (fruitflats sdl-private events)
  :use-module (fruitflats sdl-private video)
  :use-module (system foreign)
  :export (init-sdl)
  :re-export (init-video
              poll-event
              event-type
              event-pointer->vector))

(define init-sdl
  (pointer->procedure void
                      (dynamic-func "SDL_Init" sdl-ob)
                      (list uint32)))

(define quit-sdl
  (pointer->procedure void
                      (dynamic-func "SDL_Quit" sdl-ob)
                      (list)))
;; Ensure SDL_Quit() is called on exit.
(add-hook! exit-hook quit-sdl)
