#!/usr/bin/env GUILE_LOAD_PATH=./ guile
!#

(use-modules (system foreign)
             (rnrs bytevectors)
             (fruitflats sdl)
;             (fruitflats user)
             )

;; Perform user pre-initialization.
;(pre-init)

(init-sdl #x00000020)
(init-video 640 480)

;; Main event loop.
(while #t
  (let* ((event (make-bytevector 9))
         (event-pointer (bytevector->pointer event)))
    (if (poll-event event-pointer)
        (begin
          (display "Displaying event: ")
          (display (event-pointer->vector
                    event-pointer))
          (newline)
          (case (event-type event-pointer)
              ((quit)
               (display "Received quit event.")
                (newline)
                (break))
              ((key-down)
               (display
                (parse-c-struct event-pointer
                                (list uint8 uint8 uint8
                                      (list uint8 int int uint16 ))))
               (newline)))))))
