(define-module (fruitflats sdl-private video)
  :use-module (fruitflats sdl-private common)
  :use-module (system foreign)
  :export (init-video))

(define set-video-mode
  (pointer->procedure void
                      (dynamic-func "SDL_SetVideoMode" sdl-ob)
                      (list int int int uint32)))

(define init-video
  (lambda (width height)
    "Initialize (or reset) the video."
    (set-video-mode width height 0 #x00000001)))
